/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-02
 * 描述            ：表面缺陷实绩表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmJudgeSurfaceFlawMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JUDGE_SURFACE_FLAW", namespace=QcmJudgeSurfaceFlawMapper.class)
public class QcmJudgeSurfaceFlaw extends BaseVO implements Serializable {
	/** 
	 * 表面检验索引号（上表面：UP+两位年/月/日+4位流水号,示例：UP1711100001，下表面：UD+两位年/月/日+4位流水号,示例：UD1711100001）
	 */ 
	@Id
	private String surface_id;
	public String getSurface_id() {
		return this.surface_id;
	}
	public void setSurface_id(String surface_id) {
		this.surface_id = surface_id;
	}

	/** 
	 * 主缺陷标识（1是、0否）
	 */ 
	@Column
	private String primary_flag;
	public String getPrimary_flag() {
		return this.primary_flag;
	}
	public void setPrimary_flag(String primary_flag) {
		this.primary_flag = primary_flag;
	}
	/** 
	 * 是否修复
	 */ 
	@Column
	private String is_repair;
	public String getIs_repair() {
		return this.is_repair;
	}
	public void setIs_repair(String is_repair) {
		this.is_repair = is_repair;
	}
	/** 
	 * 缺陷序号（1...N，主缺陷固定在序号1）
	 */ 
	@Column
	private Long flaw_seq;
	public Long getFlaw_seq() {
		return this.flaw_seq;
	}
	public void setFlaw_seq(Long flaw_seq) {
		this.flaw_seq = flaw_seq;
	}

	/** 
	 * 缺陷代码
	 */ 
	@Column
	private String flaw_code;
	public String getFlaw_code() {
		return this.flaw_code;
	}
	public void setFlaw_code(String flaw_code) {
		this.flaw_code = flaw_code;
	}

	/** 
	 * 缺陷描述
	 */ 
	@Column
	private String flaw_desc;
	public String getFlaw_desc() {
		return this.flaw_desc;
	}
	public void setFlaw_desc(String flaw_desc) {
		this.flaw_desc = flaw_desc;
	}

	/** 
	 * 缺陷类型代码（COM_BASE_INFO:SORT_CODE=4083)
	 */ 
	@Column
	private String flaw_type_code;
	public String getFlaw_type_code() {
		return this.flaw_type_code;
	}
	public void setFlaw_type_code(String flaw_type_code) {
		this.flaw_type_code = flaw_type_code;
	}

	/** 
	 * 缺陷类型名称
	 */ 
	@Column
	private String flaw_type_desc;
	public String getFlaw_type_desc() {
		return this.flaw_type_desc;
	}
	public void setFlaw_type_desc(String flaw_type_desc) {
		this.flaw_type_desc = flaw_type_desc;
	}

	/** 
	 * 缺陷位置代码
	 */ 
	@Column
	private String flaw_pos_code;
	public String getFlaw_pos_code() {
		return this.flaw_pos_code;
	}
	public void setFlaw_pos_code(String flaw_pos_code) {
		this.flaw_pos_code = flaw_pos_code;
	}

	/** 
	 * 缺陷位置描述
	 */ 
	@Column
	private String flaw_pos_desc;
	public String getFlaw_pos_desc() {
		return this.flaw_pos_desc;
	}
	public void setFlaw_pos_desc(String flaw_pos_desc) {
		this.flaw_pos_desc = flaw_pos_desc;
	}

	/** 
	 * 缺陷重量
	 */ 
	@Column
	private Long flaw_weight;
	public Long getFlaw_weight() {
		return this.flaw_weight;
	}
	public void setFlaw_weight(Long flaw_weight) {
		this.flaw_weight = flaw_weight;
	}

	/** 
	 * 缺陷数量
	 */ 
	@Column
	private Long flaw_quantity;
	public Long getFlaw_quantity() {
		return this.flaw_quantity;
	}
	public void setFlaw_quantity(Long flaw_quantity) {
		this.flaw_quantity = flaw_quantity;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	/** 
	 * 缺陷部位代码
	 */ 
	@Column
	private String flaw_dir_code;
	public String getFlaw_dir_code() {
		return flaw_dir_code;
	}
	public void setFlaw_dir_code(String flaw_dir_code) {
		this.flaw_dir_code = flaw_dir_code;
	}
	
	/** 
	 * 缺陷部位描述
	 */ 
	@Column
	private String flaw_dir_desc;
	public String getFlaw_dir_desc() {
		return flaw_dir_desc;
	}
	public void setFlaw_dir_desc(String flaw_dir_desc) {
		this.flaw_dir_desc = flaw_dir_desc;
	}
	/** 
	 * 缺陷大小代码
	 */ 
	@Column
	private String flaw_size_code;
	public String getFlaw_size_code() {
		return flaw_size_code;
	}
	public void setFlaw_size_code(String flaw_size_code) {
		this.flaw_size_code = flaw_size_code;
	}
	/** 
	 * 缺陷大小描述
	 */ 
	@Column
	private String flaw_size_desc;
	public String getFlaw_size_desc() {
		return flaw_size_desc;
	}
	public void setFlaw_size_desc(String flaw_size_desc) {
		this.flaw_size_desc = flaw_size_desc;
	}
	/** 
	 * 严重程度代码
	 */ 
	@Column
	private String flaw_lv_code;
	public String getFlaw_lv_code() {
		return flaw_lv_code;
	}
	public void setFlaw_lv_code(String flaw_lv_code) {
		this.flaw_lv_code = flaw_lv_code;
	}
	/** 
	 * 严重程度描述
	 */ 
	@Column
	private String flaw_lv_desc;
	public String getFlaw_lv_desc() {
		return flaw_lv_desc;
	}
	public void setFlaw_lv_desc(String flaw_lv_desc) {
		this.flaw_lv_desc = flaw_lv_desc;
	}
	/** 
	 * 缺陷所在区域
	 */ 
	@Column
	private String flaw_area;
	public String getFlaw_area() {
		return flaw_area;
	}
	public void setFlaw_area(String flaw_area) {
		this.flaw_area = flaw_area;
	}
	
	
}
